#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  CG,
  EEs,
  Jme,
  a7
} from "../../../../../chunk-53NHAV3C.js";
import "../../../../../chunk-IAWYWZSL.js";
import "../../../../../chunk-IHX3I5SM.js";

// ../../boilerplates/sentry/dist/files/pages/$+client.ts.js
async function getViteConfig(props) {
  let mod;
  try {
    mod = await EEs(props);
  } catch {
    mod = Jme("");
  }
  if (!props.meta.BATI.has("vue")) {
    mod.imports.$prepend({
      from: "../sentry.browser.config",
      imported: "sentryBrowserConfig"
    });
    const e = CG.functionCall("sentryBrowserConfig");
    const c = a7(e).code;
    mod.$ast.body.splice(mod.$ast.body.length - 1, 0, c);
  }
  return mod.generate().code;
}
export {
  getViteConfig as default
};
